Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class ExplicitCallToPlusMethodAstVisitor

- groovy.org.codenarc.rule.groovyism.ExplicitCallToPlusMethodAstVisitor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExplicitCallToPlusMethodAstVisitor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getViolationMessage(org.codehaus.groovy.ast.expr.MethodCallExpression exp)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ExplicitCallToMethodAstVisitor` | `getViolationMessage, visitMethodCallExpression`

- - ### Constructor Detail

    - #### ExplicitCallToPlusMethodAstVisitor()

  - ### Method Detail

    - #### @Override protected String getViolationMessage(org.codehaus.groovy.ast.expr.MethodCallExpression exp)